org.apache.poi.poifs.crypt.dsig

## Class KeyInfoKeySelector

- java.lang.Object
- - javax.xml.crypto.KeySelector
  - - org.apache.poi.poifs.crypt.dsig.KeyInfoKeySelector

- All Implemented Interfaces:
    javax.xml.crypto.KeySelectorResult

      public class KeyInfoKeySelector
      extends javax.xml.crypto.KeySelector
      implements javax.xml.crypto.KeySelectorResult

  JSR105 key selector implementation using the ds:KeyInfo data of the signature itself.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.crypto.KeySelector

      `javax.xml.crypto.KeySelector.Purpose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyInfoKeySelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.security.cert.X509Certificate>` | `getCertChain()`
    `java.security.Key` | `getKey()`
    `java.security.cert.X509Certificate` | `getSigner()` Gives back the X509 certificate used during the last signature verification operation.
    `javax.xml.crypto.KeySelectorResult` | `select(javax.xml.crypto.dsig.keyinfo.KeyInfo keyInfo, javax.xml.crypto.KeySelector.Purpose purpose, javax.xml.crypto.AlgorithmMethod method, javax.xml.crypto.XMLCryptoContext context)`

    - ### Methods inherited from class javax.xml.crypto.KeySelector

      `singletonKeySelector`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyInfoKeySelector

          public KeyInfoKeySelector()

  - ### Method Detail

    - #### select

          public javax.xml.crypto.KeySelectorResult select(javax.xml.crypto.dsig.keyinfo.KeyInfo keyInfo,
                                                           javax.xml.crypto.KeySelector.Purpose purpose,
                                                           javax.xml.crypto.AlgorithmMethod method,
                                                           javax.xml.crypto.XMLCryptoContext context)
                                                    throws javax.xml.crypto.KeySelectorException

      Specified by:
        `select` in class `javax.xml.crypto.KeySelector`
      Throws:
        `javax.xml.crypto.KeySelectorException`

    - #### getKey

          public java.security.Key getKey()

      Specified by:
        `getKey` in interface `javax.xml.crypto.KeySelectorResult`

    - #### getSigner

          public java.security.cert.X509Certificate getSigner()

      Gives back the X509 certificate used during the last signature verification operation.
      Returns:
        the certificate which was used to sign the xml content

    - #### getCertChain

          public java.util.List<java.security.cert.X509Certificate> getCertChain()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.